Bug 1574578 - The foreman-plugin-templates is not installed by default
Summary: The foreman-plugin-templates is not installed by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.4.0
Assignee: Eric Helms
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 15:06 UTC by Jitendra Yejare
Modified: 2019-11-05 23:18 UTC (History)
2 users (show)

Fixed In Version: satellite-installer-6.4.0.5-1.beta
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:32:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jitendra Yejare 2018-05-03 15:06:10 UTC
Description of problem:
The foreman-plugin-templates is not installed by default. Also, the hammer plugin for foreman-templates is not installed by default.

Version-Release number of selected component (if applicable):
Satellite 6.4.0 snap 1

How reproducible:
Always

Steps to Reproduce:
1. Install satellite 6.4
2. Verify the foreman-template plugins are installed
3.

Actual results:
The foreman-templates plugins are not installed by default.

Expected results:
The foreman templates plugins are installed by default including hammer foreman-template plugin .

Additional info:

Comment 1 Jitendra Yejare 2018-05-03 15:08:35 UTC
The blocker is set for hammer plugin not installed and I dont see any ways to install it post-installation(by rerunning the installer) or manually.

Even though I installed the plugin post-installation still the hammer plugin is not installed.

Comment 3 Jitendra Yejare 2018-05-29 12:00:37 UTC
I can see both CLI and API option by default installed with satellite. So this bug can now be closed.

Closing in favor of Sat 6.4 snap 5.0

Comment 5 Jitendra Yejare 2018-06-19 12:39:40 UTC
Verified!

@Satellite 6.4 snap 9

Behavior:
The Foreman-Templates plugin is installed by default in the satellite.

Comment 6 Bryan Kearney 2018-10-16 19:32:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.